﻿XIncludeFile "Valentina.pb"

CompilerSelect #PB_Compiler_OS
 
  CompilerCase #PB_OS_Windows
    vcsdk_path.s = "vcsdk_release_x64.dll"

  CompilerCase #PB_OS_Linux
    vcsdk_path.s = "libVCSDK.so"

  CompilerCase #PB_OS_MacOS
    vcsdk_path.s = "vcsdk_x64.dylib"
    
CompilerEndSelect

If Not OpenLibrary( #VCSDK, vcsdk_path )
  Debug "Could not open VCSDK library"
  End
EndIf

Valentina_Init()
Valentina_InitReports()

project.i = Project_New( "reports.vsp" )
Project_Open( project )

datasource.s = "sqlite://reports_db.sqlite"

report.i = Project_MakeNewReportByNameWithDatasource( project, "Report_1", datasource, "SELECT * FROM T1" )
Report_PrintToDisk( report, "report2.pdf", #kToPDF )

Report_Free( report )
Project_Free( project )

Valentina_ShutdownReports()
Valentina_Shutdown()

CloseLibrary( #VCSDK )
; IDE Options = PureBasic 5.62 (MacOS X - x64)
; CursorPosition = 29
; FirstLine = 3
; EnableXP